Library Version 18.1.40

DB_SITE->get_address()
Prev | Chapter 10. Replication Methods | Next

## DB_SITE->get_address()

    #include <db.h>

    int
    DB_SITE->get_address(DB_SITE *site, const char **hostp, u_int *portp);

The `DB_SITE->get_address()` method returns a replication site's network address. That is, this method returns the site's host name and port.

The `DB_SITE->get_address()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### hostp

References memory into which is copied a pointer to the internal storage of the host name.

#### portp

References memory into which the port number will be copied.

### Class

DB_SITE

### See Also

Replication and Related Methods

Prev | Up | Next
DB_SITE->get_config() | Home | DB_SITE->get_eid()